Subject: Re: powerpc: Fix OF parsing of 64 bits PCI addresses

From: Segher Boessenkool <[email-masked]>
Date: Thu, 17 Jul 2008 16:00:45 +0200

> The OF parsing code for PCI addresses isn't always treating properly
> the address space indication 0b11 (ie. 0x3) as meaning 64 bits
> memory space.
>
> This means that it fails to parse addresses for PCI BARs that have
> this encoding set by the firmware, which happens on some SLOF
> versions and breaks offb palette handling on Powerstation.
>
> Signed-off-by: Benjamin Herrenschmidt <[email-masked]>

Looks good.

Acked-by: Segher Boessenkool <[email-masked]>

Segher